/*!
 *****************************************************************************
 * @file:    adi_counter_def.h
 * @brief:   Common  definition file for counter Device
 * @version: $Revision: 18490 $
 * @date:    $Date: 2013-04-26 13:37:29 -0400 (Fri, 26 Apr 2013) $
 *****************************************************************************
Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.
This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.
*********************************************************************************
     File         :   adi_counter_def.h
     Description  :   Common file for Definitions of structure for counter device
================================================================================ */

#ifndef _ADI_COUNTER_DEF_H_
#define _ADI_COUNTER_DEF_H_

#if defined(__ADSPBF609_FAMILY__) || defined(__ADSPBF548_FAMILY__)  || \
    defined(__ADSPBF527_FAMILY__) || defined(__ADSPBF526_FAMILY__)  || \
    defined(__ADSPBF518_FAMILY__) || defined(__ADSPBF506F_FAMILY__) || \
    defined(ADI_ADSP_CM40Z) || \
    defined(__ADSPBF707_FAMILY__)

#include "adi_counter_def_bfxxx.h"

#else
#error "The counter device is not supported in  this processor type"
#endif

#endif   /*  _ADI_COUNTER_DEF_H_ */

