/*!
 *****************************************************************************
 * @file:    adi_sport_def.h
 * @brief:   Common  definition file for SPORT Device
 * @version: $Revision: 18490 $
 * @date:    $Date: 2013-04-26 13:37:29 -0400 (Fri, 26 Apr 2013) $
 *****************************************************************************
Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.
This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.
*********************************************************************************
     File         :   adi_sport_def.h
     Description  :   Common file for Definitions of structure for SPORT device
================================================================================ */

#ifndef _ADI_SPORT_DEF_H_
#define _ADI_SPORT_DEF_H_

#if defined(__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)       || \
    defined(__ADSPBF707_FAMILY__)

#include "adi_sport_def_bf6xx.h"

#else
#include "adi_sport_def_bf5xx.h"
#endif
#endif	/* end ifndef _ADI_SPORT_DEF_H_ */

