/*!
 *****************************************************************************
 * @file:    adi_uart_reg.h
 * @brief:   Common  Register definition file for UART Device
 * @version: $Revision: 10427 $
 * @date:    $Date: 2011-06-11 17:18:36 -0400 (Sat, 11 Jun 2011) $
 *****************************************************************************
Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.
This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.
*********************************************************************************
     File         :   adi_uart_reg.h
     Description  :   Common file for Register Definitions for UART device
================================================================================ */

#ifndef _ADI_UART_REG_H_
#define _ADI_UART_REG_H_
#if defined(__ADSPBF60x_FAMILY__)
#include "adi_uart_reg_bf60x.h"
#else
#include "adi_uart_reg_bf5xx.h"
#endif
#endif	/* end ifndef _ADI_UART_REG_H_ */
