/*
** init_cgu.h
**
** Initialize CGU programmatically
**
** Copyright (c) 2011-2012 Analog Devices, Inc. All Rights Reserved.
**/

#ifndef __INIT_SPI_H__
#define __INIT_SPI_H__

#include "device.h"

#define XIP_CONFIRMATION_BIT ((0u << BITP_SPI_MMRDH_MODE) & BITM_SPI_MMRDH_MODE)
#define ADI_SPI2_SSEL_ID 0

typedef enum {
  INIT_SPI_RESULT_SUCCESS,
  INIT_SPI_RESULT_FAILURE,
} INIT_SPI_RESULT;

/* __ramfunc */ INIT_SPI_RESULT init_spi(void);

#endif /* __INIT_SPI_H_ */
