/* $Id: adi_spi.c 18490 2013-04-26 17:37:29Z mmurali $ */
/*********************************************************************************

 Copyright(c) 2010 Analog Devices, Inc. All Rights Reserved.

 This software is proprietary and confidential.  By using this software you agree
 to the terms of the associated Analog Devices License Agreement.

 *********************************************************************************/
/*!
 * @file      adi_spi.c
 *
 * @brief     SPI driver global API implementation
 *
 * @details
 *            This is a source file which contains the implementation of global
 *            API functions of the SPI device.
 */

/** @addtogroup SPI_Driver_BF5xx SPI Device Driver
 *  @{
 */


#if defined(__ADSPBF609_FAMILY__) || \
    defined(__ADSPBF707_FAMILY__)
#include "adi_spi_bf6xx.c"
#else
#include "adi_spi_bf5xx.c"
#endif


