/******************************************************************************

Copyright (c) 2011 Analog Devices.  All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.
 *******************************************************************************
 *
 * @file:    adi_pwr.c
 * @brief:   Dynamic Power Management service implementation
 * @version: $Revision: 18484 $
 * @date:    $Date: 2013-04-26 10:04:51 -0400 (Fri, 26 Apr 2013) $
 *
 ******************************************************************************/

#if defined (__ADSPBF609_FAMILY__) ||  \
    defined (__ADSPBF707_FAMILY__)

/* Dynamic Power Management service implementation source for ADSP-BF60x Processor family */
#include "adi_pwr_bf60x.c"

#else

/* Dynamic Power Management service implementation source for ADSP-BF5xx Processor family */
#include "adi_pwr_bf5xx.c"

#endif /* __ADSPBF609_FAMILY__*/
