/*!
*********************************************************************************
Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

@file      adi_wd.c

@brief     Global Watchdog Timer API implementation file.

@details   This is a source file which includes specific files based on the processor
           family. The included file will contain the implementation of timer service.

$Revision: 18484 $
$Date: 2013-04-26 10:04:51 -0400 (Fri, 26 Apr 2013) $
*********************************************************************************/


#if defined(__ADSPBF609_FAMILY__) || \
    defined(__ADSPBF707_FAMILY__)

#include "adi_wd_bf6xx.c"

#else

#include "adi_wd_bf5xx.c"

#endif


/*}*/
